\version "2.14.0"

\header {
  texidoc = "
You can override the automatic beaming settings.

The auto-beamer, which can be overridden, will only engrave beams  that
end before encountering of 


* a rest,

* another, manually entered beam, or

* a bar line. 



The @code{autoBeaming} can also be turned off.



"
  doctitle = "Overriding automatic beam settings"
}
\score{
   \relative c''{
     \time 2/4

%{
%%%%     the default for 2/4 (see scm/auto-beam.scm)
%%%% Changed to:
    the default for 2/4 (see scm/time-signature-settings.scm)
     ----  --------
     |  |  |   |--|
    x| x| x|  x| x|
%}
     c8 c c c16 c

%{
    user override
     --------------
     |  |  |   |--|
    x| x| x|  x| x|
%}
% one beam per measure
%%%%     #(override-auto-beam-setting '(end * * * *)  1 2)
%%%% Changed to:
     \set Timing.beamExceptions =      
  	#'(                    
  	   (end .              
  	    (                  
  	     ((1 . 8) . (4))   
  	    ))) 
     c8 c c c16 c

% from here on consider ending beam every 1/4 note
%%%%	#(override-auto-beam-setting '(end * * * *) 1 4)
%%%% Changed to:
     \set Timing.beamExceptions =
  	#'(                      
  	   (end .                
  	    (                    
  	     ((1 . 8) . (2 2))   
  	    ))) 
      	c8 c c c16 c
% manually override autobeam with weird beaming
      	c8  c[ c] c16 c
% no autobeaming
	\set autoBeaming = ##f
      	c8 c c c16 c
  }
}
    



